Skip to main content
`Ctrl`+`K`

# PEPInitializePackage

This function initializes everything in the `PEP` package. It is called from `PetscDLLibraryRegister_slepcpep()` when using dynamic libraries, and on the first call to `PEPCreate()` when using shared or static libraries.

## Synopsis

    PetscErrorCode PEPInitializePackage(void)

## Note

This function never needs to be called by SLEPc users.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEP`, `SlepcInitialize()`, `PEPFinalizePackage()`

## Level

developer

## Location

src/pep/interface/dlregispep.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages